// /api/cpl/tdrReferenceCurveAPIHandler.ts
import { NextApiRequest, NextApiResponse } from "next";
import path from "path";
import { promises as fs } from "fs";

export default async function handler(
  req: NextApiRequest,
  res: NextApiResponse
) {
  const { slot } = req.query;

  const filePath = path.join(
    process.cwd(),
    "apiMockData",
    "tdr-reference-curves",
    `slot${slot}.json`
  );

  try {
    const fileContent = await fs.readFile(filePath, "utf-8");
    res.status(200).json(JSON.parse(fileContent));
  } catch (error) {
    res.status(404).json({ error: "File not found" });
  }
}
